﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using Syncfusion.JavaScript.DataVisualization.Models;

namespace WebApplication2
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Series series = new Series();
            List<Data> data = new List<Data>();

            Random yValue = new Random();
            data.Add(new Data(1, yValue.Next(10, 50), "#00FFFF"));
            data.Add(new Data(2, yValue.Next(10, 50), "#008B8B"));
            data.Add(new Data(3, yValue.Next(10, 50), "#B8860B"));
            data.Add(new Data(4, yValue.Next(10, 50), "#A9A9A9"));
            data.Add(new Data(5, yValue.Next(10, 50), "#BDB76B"));            
            this.Chart1.Series.Add(series);         
            this.Chart1.Series[0].DataSource = data;
            this.Chart1.Series[0].XName = "Xvalue";
            this.Chart1.Series[0].YName = "YValue1";
            this.Chart1.Legend.Visible = true;
            this.Chart1.DataBind();
            this.Chart1.OnClientSeriesRendering = "seriesrendering";
                       
        }
               
    }
    [Serializable]

    public class Data
    {

        public int Xvalue
        {
            get;
            set;
        }
        public int YValue1
        {
            get;
            set;
        }
        public string color
        {
            get;
            set;
        }
        public Data(int xval, int yvalue1, string color)
        {
            this.Xvalue = xval;
            this.YValue1 = yvalue1;
            this.color = color;
        }
    }
}